# Class CodeScanner

java.lang.Object
com.codename1.codescan.CodeScanner

public abstract class CodeScanner extends Object

Deprecated!!: Please use the cn1-codescan library instead.

A barcode/qrcode scanner API, this class is a singleton, notice that this API might not be implemented for all platforms in which case the getInstance() method will return null!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CodeScanner()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CodeScanner`
  `getInstance()`
  Returns the instance of the code scanner, notice that this method is equivalent to Display.getInstance().getCodeScanner().
  `abstract void`
  `scanBarCode(ScanResult callback)`
  Scans based on the settings in this class and returns the results
  `abstract void`
  `scanQRCode(ScanResult callback)`
  Scans based on the settings in this class and returns the results

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### CodeScanner

    public CodeScanner()

- ## Method Details

  - ### getInstance

    public static CodeScanner getInstance()

    Returns the instance of the code scanner, notice that this method is equivalent to Display.getInstance().getCodeScanner().

    ###### Returns

    instance of the code scanner

  - ### scanQRCode

    public abstract void scanQRCode(ScanResult callback)

    Scans based on the settings in this class and returns the results

    ###### Parameters

    - `callback`: scan results

  - ### scanBarCode

    public abstract void scanBarCode(ScanResult callback)

    Scans based on the settings in this class and returns the results

    ###### Parameters

    - `callback`: scan results